{
  "pools": [
    {
      "rolls": 1,
      "entries": [
        { "type": "item", "name": "minecraft:diamond", "weight": 5 },
        { "type": "item", "name": "minecraft:emerald", "weight": 8 },
        { "type": "item", "name": "minecraft:gold_ingot", "weight": 15 },
        { "type": "item", "name": "minecraft:iron_ingot", "weight": 20 },
        { "type": "item", "name": "minecraft:amethyst_shard", "weight": 12 },
        { "type": "item", "name": "minecraft:lapis_lazuli", "weight": 15,
          "functions": [{ "function": "set_count", "count": { "min": 2, "max": 5 } }]
        },
        { "type": "item", "name": "minecraft:redstone", "weight": 15,
          "functions": [{ "function": "set_count", "count": { "min": 2, "max": 4 } }]
        },
        { "type": "item", "name": "minecraft:golden_apple", "weight": 3 },
        { "type": "item", "name": "minecraft:name_tag", "weight": 7 },
        { "type": "item", "name": "silverlabs:dragon_egg", "weight": 1 }
      ]
    }
  ]
}
